This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 45550

Summary: A11Y problems in Open Project dialog
Product: projects Reporter: Milan Kubec <mkubec>
Component: Generic Projects UIAssignee: Jiri Rechtacek <jrechtacek>
Status: CLOSED FIXED    
Severity: blocker CC: juhrik
Priority: P2 Keywords: A11Y
Version: 4.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Bug Depends on:    
Bug Blocks: 41535    

Description Milan Kubec 2004-06-25 10:17:28 UTC
Results of Accessibility test

 No Accessible name :
   Class: javax.swing.JScrollPane$ScrollBar {  |  }
   Class: javax.swing.JTextField {  |  }
   Class:
javax.swing.plaf.metal.MetalFileChooserUI$5 {  |  }


 No Accessible description :
   Class: javax.swing.JCheckBox {  Open Required
Projects: |  }
   Class: javax.swing.JCheckBox {  Open as Main
Project |  }
   Class: javax.swing.JDialog {  Open Project |  }
   Class: javax.swing.JScrollPane$ScrollBar {  |  }
   Class: javax.swing.JTextField {  |  }
   Class:
javax.swing.plaf.metal.MetalFileChooserUI$2 { 
File Name: |  }
   Class:
javax.swing.plaf.metal.MetalFileChooserUI$5 {  |  }

 Components with no LABEL_FOR pointing to it :
   Class: javax.swing.JTextField {  |  }
   Class:
javax.swing.plaf.metal.MetalFileChooserUI$5 {  |  }

 Components with no mnemonic :
   Class: javax.swing.JButton {  Home |  Home }
   Class: javax.swing.JButton {  New Folder | 
Create New Folder }
   Class: javax.swing.JButton {  Open Project
Folder |  Open selected file }
   Class: javax.swing.JButton {  Up |  Up One Level }
   Class: javax.swing.JToggleButton {  Details | 
Details }
   Class: javax.swing.JToggleButton {  List |  List }
Comment 1 Jiri Rechtacek 2004-07-13 14:02:15 UTC
Fixed the form in Project UI, not fixed A11Y in the standard L&F file
chooser.

Checking in src/org/netbeans/modules/project/ui/Bundle.properties;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.38; previous revision: 1.37
done
Checking in
src/org/netbeans/modules/project/ui/ProjectChooserAccessory.form;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/ProjectChooserAccessory.form,v
 <--  ProjectChooserAccessory.form
new revision: 1.3; previous revision: 1.2
done
Checking in
src/org/netbeans/modules/project/ui/ProjectChooserAccessory.java;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/ProjectChooserAccessory.java,v
 <--  ProjectChooserAccessory.java
new revision: 1.16; previous revision: 1.15
done
Comment 2 Milan Kubec 2004-07-15 11:42:17 UTC
Verified in custom build 20040715.